why can I not get the latest version of yahoo mail?

I have a new computer with enternet exployer 8 but yahoo tells me that my version of enternet exployer will not support the new version of yahoo

2 Answers

Relevance
  • 8 years ago
    Favorite Answer

    If it does not support it....it doesn't support it....not much you can do. If you cannot still get there by clicking on NEWEST VERSION OF Y! MAIL in the upper, left portion of your email page you can recontact Yahoo and ask what you can do, if anything.

    To chat with a live Yahoo rep....

    Classic mail: http://help.yahoo.com/l/us/yahoo/mail/cl%E2%80%A6

    NEW version http://help.yahoo.com/l/us/yahoo/mail/ym%E2%80%A6

  • 8 years ago

    One solution is load Chrome and use it until Yahoo get problem fixed, Chrome it's quite similar as IE

Still have questions? Get your answers by asking now.